# FoundationClasses
TKernel
Standard

# Standard_ErrorHandlerCallback Class Reference

Defines a base class for callback objects that can be registered
in the OCC error handler (the class simulating C++ exceptions)
so as to be correctly destroyed when error handler is activated.
.

`#include <Standard_ErrorHandlerCallback.hxx>`

Inheritance diagram for Standard_ErrorHandlerCallback:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
void | RegisterCallback ()
| Registers this callback object in the current error handler (if found). .
void | UnregisterCallback ()
| Unregisters this callback object from the error handler. .
virtual Standard_EXPORT | ~Standard_ErrorHandlerCallback ()
virtual Standard_EXPORT void | DestroyCallback ()=0
| The callback function to perform necessary callback action. Called by the exception handler when it is being destroyed but still has this callback registered. .

## Protected Member Functions

| Standard_ErrorHandlerCallback ()
| Empty constructor .

## Private Attributes

Standard_Address | myHandler
Standard_Address | myPrev
Standard_Address | myNext

## Constructor & Destructor Documentation

Standard_ErrorHandlerCallback::~Standard_ErrorHandlerCallback | ( |  | ) | `[inline, virtual]`

Standard_ErrorHandlerCallback::Standard_ErrorHandlerCallback | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual Standard_EXPORT void Standard_ErrorHandlerCallback::DestroyCallback | ( |  | ) | `[pure virtual]`

| Implemented in Standard_Mutex.

void Standard_ErrorHandlerCallback::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Standard_ErrorHandlerCallback::operator new | ( | size_t | size | ) | `[inline]`

void* Standard_ErrorHandlerCallback::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Standard_ErrorHandlerCallback::RegisterCallback | ( |  | ) | `[inline]`

void Standard_ErrorHandlerCallback::UnregisterCallback | ( |  | ) | `[inline]`

## Field Documentation

Standard_Address Standard_ErrorHandlerCallback::myHandler `[private]`

Standard_Address Standard_ErrorHandlerCallback::myNext `[private]`

Standard_Address Standard_ErrorHandlerCallback::myPrev `[private]`

The documentation for this class was generated from the following files:

- Standard_ErrorHandlerCallback.hxx
- Standard_ErrorHandlerCallback.lxx